Git升级

Git 报错:fatal: HTTP request failed   

一般是由于git版本的问题。

使用如下指令查看版本:

[plain] view plain copy
  1. # git --version  
  2. git version 1.7.0.1  
可以通过安装更高的版本解决问题。

目前git最高版本应该是2.0.0.1了

    Git升级

使用源码编译的方式安装git 2.2.1。

一、环境准备

       安装编译git 2.2.1需要使用到一些软件工具,需要提前先安装好这些软件工具,按顺序运行如下命令:

[objc] view plain copy
  1. #yum install curl-devel expat-devel gettext-devel openssl-devel zlib-devel asciidoc  
  2. #yum install  gcc perl-ExtUtils-MakeMaker  
  3. #yum install xmlto  
二、卸载

       卸载掉系统中已经安装的 git 1.7.1,运行如下命令:

[objc] view plain copy
  1. #yum remove git  
三、下载编译安装

        使用wget联网下载源码压缩包,并进行编译安装。按顺序运行如下命令:

[objc] view plain copy
  1. #wget https://github.com/git/git/archive/v2.2.1.tar.gz  
  2. #tar zxvf v2.2.1  
  3. #cd git-2.2.1  
  4. #make configure  
  5. #./configure --prefix=/usr/local/git --with-iconv=/usr/local/libiconv  
  6. #make all doc  
  7. #make install install-doc install-html  
  8. #echo "export PATH=$PATH:/usr/local/git/bin" >> /etc/bashrc  
  9. #source /etc/bashrc  
       安装完成后,检查版本号。
[objc] view plain copy
  1. #git --version  
阅读更多 登录后自动展开
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页